CEL: Crystal Entity Layer: iActionQuestRewardFactory Struct Reference (CEL: Crystal Entity Layer Public API Reference)

| ## Public API Reference

- Main Page
- Classes
- Files

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# iActionQuestRewardFactory Struct Reference

This interface is implemented by the reward that sends an action to some entity property class with an optional tag. More...

`#include <tools/questmanager.h>`

List of all members.

## Public Member Functions
virtual void | AddParameter (celDataType type, csStringID id, const char *name, const char *value)=0
| Add a parameter to send with the action.
virtual void | SetEntityParameter (const char *entity)=0
| Set the name of the entity.
virtual void | SetIDParameter (const char *id)=0
| Set the action name (without the cel.action part).
virtual void | SetPropertyClassParameter (const char *propertyclass)=0
| Set the name of the property class.
virtual void | SetTagParameter (const char *tag)=0
| Set the tag for the propertyclass.

## Detailed Description

This interface is implemented by the reward that sends an action to some entity property class with an optional tag.

You can query this interface from the reward factory if you want to manually control this factory as opposed to loading its definition from an XML document.

The predefined name of this reward type is 'cel.questreward.action'.

In XML, factories recognize the following attributes on the 'op' node:

- entity: the name of the entity to send the action to.
- id: name of the action to activate.
- pc: the name of the property class to send the action to.
- tag: the tag of the property class to send the action to.

Definition at line 1576 of file questmanager.h.

## Member Function Documentation

virtual void iActionQuestRewardFactory::AddParameter | ( | celDataType | type,
|  | csStringID | id,
|  | const char * | name,
|  | const char * | value |
| ) |  |  | `[pure virtual]`

Add a parameter to send with the action.

Parameters:

  | type | is one of CEL_DATA_STRING, CEL_DATA_FLOAT, CEL_DATA_LONG, CEL_DATA_BOOL, or CEL_DATA_VECTOR3.
  | id | is the id of the parameter (calculated from the string "cel.parameter." appended with the name).
  | name | is the name of the parameter.
  | value | is the value string or a parameter for it (starts with '$').

virtual void iActionQuestRewardFactory::SetEntityParameter | ( | const char * | entity | ) | `[pure virtual]`

Set the name of the entity.

Parameters:

  | entity | is the name of the entity or a parameter (starts with '$').

virtual void iActionQuestRewardFactory::SetIDParameter | ( | const char * | id | ) | `[pure virtual]`

Set the action name (without the cel.action part).

Parameters:

  | id | is the action name or a parameter (starts with '$').

virtual void iActionQuestRewardFactory::SetPropertyClassParameter | ( | const char * | propertyclass | ) | `[pure virtual]`

Set the name of the property class.

Parameters:

  | propertyclass | is the name of the propertyclass or a parameter (starts with '$').

virtual void iActionQuestRewardFactory::SetTagParameter | ( | const char * | tag | ) | `[pure virtual]`

Set the tag for the propertyclass.

Parameters:

  | tag | is the tag for the propertyclass or a parameter (starts with '$').

The documentation for this struct was generated from the following file:

- tools/questmanager.h